import { request } from '/src';
const res = 'InterfaceServer';

export default {
  getWithUrls(id) {
    return request({
      url: `api/${res}/GetWithUrls`,
      method: 'get',
      params: { id }
    });
  },
  add(server, urls) {
    return request({
      url: `api/${res}/add`,
      method: 'post',
      data: { server, urls }
    });
  },
  update(server, urls) {
    return request({
      url: `api/${res}/update`,
      method: 'put',
      data: {
        server,
        urls
      }
    });
  }
};
