import { request } from '/src';

const res = 'User';

export default {
  get(id) {
    return request({
      url: `api/${res}/get`,
      method: 'get',
      params: {
        id
      }
    });
  },
  login(data) {
    return request({
      url: `api/${res}/login`,
      method: 'post',
      data
    });
  },
  setCurrentFactory(id) {
    return request({
      url: `api/${res}/setCurrentFactory`,
      method: 'post',
      data: {
        id
      }
    });
  },
  resetPassword(id) {
    return request({
      url: `api/${res}/resetPassword`,
      method: 'get',
      params: {
        userID: id
      }
    });
  }
};
