import { request } from '/src';

const res = 'MoveType';

export default {
  getByCode(code) {
    return request({
      url: `api/${res}/getByCode`,
      method: 'get',
      params: {
        code
      }
    });
  },
  query(filter = {}) {
    return request({
      url: `api/${res}/query`,
      method: 'post',
      data: filter
    });
  }
};
