import { request } from '/src';

const res = 'Permission';

export default {
  query() {
    return request({
      url: `api/${res}/query`,
      method: 'get',
      params: {
        clientType: 'Admin'
      }
    });
  },
  queryByRoleID(roleID, clientType) {
    return request({
      url: `api/${res}/queryByRoleID`,
      method: 'get',
      params: {
        roleID,
        clientType
      }
    });
  },
  queryRouter() {
    return request({
      url: `api/${res}/queryRouter`,
      method: 'get',
      params: {
        clientType: 'Admin'
      }
    });
  }
};
