if (!!window.ActiveXObject || 'ActiveXObject' in window) {
  alert('本系统不支持ie，请使用Chrome、Firefox、Edge等现代浏览器访问！');
}

import { createApp, h } from 'vue';

// 基础框架
import { App, created } from '../src';

// 固定路由
import routes from './router/routes';

// 自定义css
import './styles/css/custom.css';

// 环境模式
window.$mode = import.meta.env.MODE;

// 页面
const files = import.meta.glob('./pages/**/*.vue', { eager: true });

const app = createApp({
  render: () => h(App),
  created: () => created(app, routes, files)
});

app.mount('#app');
